| Home | Libraries | People | FAQ | More

## Function template collect_unrecognized

boost::program_options::collect_unrecognized

## Synopsis

    // In header: <boost/program_options/parsers.hpp>

    template<typename charT>
      std::vector< std::basic_string< charT > >
      collect_unrecognized(const std::vector< basic_option< charT > > & options,
                           enum collect_unrecognized_mode mode);

## Description

Collects the original tokens for all named options with 'unregistered' flag set. If 'mode' is 'include_positional' also collects all positional options. Returns the vector of origianl tokens for all collected options.